Skip to main content

Update Backfill Request

PATCH 

/session/v1/backfill/session/:session_id

Update a existing backfill's search fields and extensions

Request

Path Parameters

    session_id Session Idrequired

    Possible values: non-empty and <= 128 characters

Query Parameters

    refresh_ttl Refresh Ttl

    Default value: true

Body

required

    instance_id Instance Id (string)required

    Possible values: non-empty and <= 128 characters

    The instance ID for this backfill request

    additional_join_params

    object

    Additional parameters to apply to a matchmaking ticket

    double_args

    object

    Additional double arguments to add to the matchmaking ticket

    property name* number

    string_args

    object

    Additional string arguments to add to the matchmaking ticket

    property name* string
    tags string[]

    Possible values: non-empty and <= 4096 characters

    Default value: ``

    Additional tags to add to the matchmaking ticket

    extensions

    object

    Additional extensions to add to the matchmaking ticket. Value is a base64 string representation of the protobuf binary data. The data will be converted back to binary before being put on the ticket

    property name* string

    teams

    object[]

    The teams and number of players that need to be backfilled. Leaving this out (or supplying an empty list) is treated as no players are currently required

  • Array [

  • players_required Players Required (integer)required

    The number of players we want to backfill

    team_id Team Id (integer)required

    Id for the team that requires backfilled players

  • ]

Responses

Successful Response

Loading...